import { createOptions } from './parseAsType.js';
/**
 *
 * @param variableValue value of a variable to be validated and parse
 * @returns Options<Function>. Option functions to be called that either would return a specified value or throw error in case variable is not of Function type
 */
const parseAsFunction = (variableValue) => {
    const expectedType = 'function';
    const receivedType = typeof variableValue;
    return createOptions(variableValue, expectedType, receivedType);
};
export default parseAsFunction;
//# sourceMappingURL=parseAsFunction.js.map