import { createOptions } from './parseAsType.js';
/**
 *
 * @param variableValue value of a variable to be validated and parse
 * @returns Options<bigint>. Option functions to be called that either would return a specified value or throw error in case variable is not of bigint type
 */
const parseAsBigInt = (variableValue) => {
    const expectedType = 'bigint';
    const receivedType = typeof variableValue;
    return createOptions(variableValue, expectedType, receivedType);
};
export default parseAsBigInt;
//# sourceMappingURL=parseAsBigInt.js.map